<?php
/************************************************************************
 * MXChange v0.2.1                                    Start: 09/28/2003 *
 * ===============                              Last change: 04/03/2004 *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * File              : what-email_archiv .php                           *
 * -------------------------------------------------------------------- *
 * Short description : See send emails details of ordered mails         *
 * -------------------------------------------------------------------- *
 * Kurzbeschreibung  : Alle  Mails ansehen die versand wurden           *
 * -------------------------------------------------------------------- *
 * $Revision::                                                        $ *
 * $Date::                                                            $ *
 * $Tag:: 0.2.1-FINAL                                                 $ *
 * $Author::                                                          $ *
 * Needs to be in all Files and every File needs "svn propset           *
 * svn:keywords Date Revision" (autoprobset!) at least!!!!!!            *
 * -------------------------------------------------------------------- *
 * Copyright (c) 2003 - 2009 by Roland Haeder                           *
 * For more information visit: http://www.mxchange.org                  *
 *                                                                      *
 * This program is free software; you can redistribute it and/or modify *
 * it under the terms of the GNU General Public License as published by *
 * the Free Software Foundation; either version 2 of the License, or    *
 * (at your option) any later version.                                  *
 *                                                                      *
 * This program is distributed in the hope that it will be useful,      *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of       *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        *
 * GNU General Public License for more details.                         *
 *                                                                      *
 * You should have received a copy of the GNU General Public License    *
 * along with this program; if not, write to the Free Software          *
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,               *
 * MA  02110-1301  USA                                                  *
 * -------------------------------------------------------------------- *
 * Mod-Copyright (c) 2004 by Robert Niedziela                           *
 * www.megacomputing.de                                                 *
 ************************************************************************/

// Some security stuff...
if ((!defined('__SECURITY')) || (!isAdmin())) {
	die();
} // END - if

// Add description as navigation point
addMenuDescription('admin', __FILE__);

// Init SQL string
$sql = "SELECT
	`id`, `sender`, `subject`, `text`, `receivers`, `payment_id`, `data_type`, `timestamp`, `url`, `target_send`, `cat_id`
FROM
	`{?_MYSQL_PREFIX?}_pool`
WHERE
	`data_type`='SEND' OR `data_type`='DELETED'
ORDER BY
	`timestamp` DESC";

// Check for maximum pages
$result_maximum = SQL_QUERY($sql, __FILE__, __LINE__);

// Set offset an current page to default values
if (!isGetRequestElementSet('page'))   setRequestGetElement('page'  , '1');
if (!isGetRequestElementSet('offset')) setRequestGetElement('offset', getConfig('mails_page'));

// Add limitation to SQL string
$sql .= " LIMIT ".(getRequestElement('offset') * getRequestElement('page') - getRequestElement('offset')).", ".getRequestElement('offset');

// Run SQL query for normal mails
$result = SQL_QUERY($sql, __FILE__, __LINE__);

// Calculate pages
$pages = round(SQL_NUMROWS($result_maximum) / getConfig('mails_page') + 0.5);

// Free the result which we don't need
SQL_FREERESULT($result_maximum);

if (SQL_NUMROWS($result) > 0) {
	// Mail orders are in pool so we can display them

	// Add navigation table rows
	$content['top_email_nav']    = '';
	$content['bottom_email_nav'] = '';
	if ($pages > 1) {
		$content['top_email_nav']    = addEmailNavigation($pages, getConfig('mails_page'), true , '3', true);
		$content['bottom_email_nav'] = addEmailNavigation($pages, getConfig('mails_page'), false, '3', true);
	} // END - if

	$OUT = ''; $SW = 2;
	// @TODO Rewrite to SQL_FETCHARRAY()
	while ($pool = SQL_FETCHROW($result)) {
		// Check sent mails and clicks
		$result_mails = SQL_QUERY_ESC("SELECT `max_rec`, `clicks` FROM `{?_MYSQL_PREFIX?}_user_stats` WHERE `pool_id`=%s LIMIT 1",
			array(bigintval($pool[0])), __FILE__, __LINE__);
		list($sent, $clicks) = SQL_FETCHROW($result_mails);
		SQL_FREERESULT($result_mails);

		// Unconfirmed mails
		$unconfirmed = $sent - $clicks;
		if ($unconfirmed > 0) {
			// Add link to list_unconfirmed what-file
			$unconfirmed = "<strong><a href=\"{?URL?}/modules.php?module=admin&amp;what=list_unconfirmed&amp;mid=".$pool[0]."\">".$unconfirmed."</a></strong>";
		} // END - if

		// Prepare data for the row template
		$row = array(
			'sw'          => $SW,
			'u_link'      => generateUserProfileLink($pool[1]),
			'subject'     => $pool[2],
			'text'        => $pool[3],
			'pay'         => getPaymentTitlePrice($pool[5]),
			'cat'         => getCategory($pool[10]),
			'sent'        => $sent,
			'ruserids'    => str_replace(';', ", ", $pool[4]),
			'unconfirmed' => $unconfirmed,
			'type'        => translatePoolType($pool[6]),
			'target_send' => $pool[9],
			'frametester' => generateFrametesterUrl($pool[8]),
			'url'         => $pool[8],
			'stamp'       => generateDateTime($pool[7], '0'),
			'mid'         => $pool[0],
		);

		// Load row template and switch colors
		$OUT .= loadTemplate('admin_email_archiv_row', true, $row);
		$SW = 3 - $SW;
	} // END - while

	// Remmber generated rows in array
	$content['rows'] = $OUT;

	// Load main template
	loadTemplate('admin_email_archiv', false, $content);
} else {
	// No mail orders fond
	loadTemplate('admin_settings_saved', false, getMessage('ADMIN_NO_MAILS_IN_POOL'));
}

// Free memory
SQL_FREERESULT($result);

// [EOF]
?>
