<?php
/************************************************************************
 * MXChange v0.2.1                                    Start: 02/12/2004 *
 * ================                             Last change: 02/12/2004 *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * File              : what-list_bank_package.php                       *
 * -------------------------------------------------------------------- *
 * Short description : List packages                                    *
 * -------------------------------------------------------------------- *
 * Kurzbeschreibung  : Listet Angebotspakete auf                        *
 * -------------------------------------------------------------------- *
 * $Revision::                                                        $ *
 * $Date::                                                            $ *
 * $Tag:: 0.2.1-FINAL                                                 $ *
 * $Author::                                                          $ *
 * Needs to be in all Files and every File needs "svn propset           *
 * svn:keywords Date Revision" (autoprobset!) at least!!!!!!            *
 * -------------------------------------------------------------------- *
 * Copyright (c) 2003 - 2009 by Roland Haeder                           *
 * For more information visit: http://www.mxchange.org                  *
 *                                                                      *
 * This program is free software; you can redistribute it and/or modify *
 * it under the terms of the GNU General Public License as published by *
 * the Free Software Foundation; either version 2 of the License, or    *
 * (at your option) any later version.                                  *
 *                                                                      *
 * This program is distributed in the hope that it will be useful,      *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of       *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        *
 * GNU General Public License for more details.                         *
 *                                                                      *
 * You should have received a copy of the GNU General Public License    *
 * along with this program; if not, write to the Free Software          *
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,               *
 * MA  02110-1301  USA                                                  *
 ************************************************************************/

// Some security stuff...
if ((!defined('__SECURITY')) || (!isAdmin())) {
	die();
} // END - if

// Add description as navigation point
addMenuDescription('admin', __FILE__);

// Check if there is enougth selected
$show = true;
if ((isPostRequestElementSet('id')) && (is_array(postRequestElement('id'))) && (count(postRequestElement('id')) > 0)) {
	// Okay, which button was pressed?
	if (isPostRequestElementSet('change')) {
		// Change permissions
		adminChangeActivationStatus(postRequestElement('id'), 'bank_packages', 'package_active');
	} elseif (isPostRequestElementSet('edit')) {
		// Delete entries (with confirmation)
		adminEditEntriesConfirm(
			postRequestElement('id'),
			'bank_packages',
			array('id', 'title', 'description', 'account_fee', 'free_transfers', 'transfer_fee', 'output_system_mode', 'package_active', 'free_months_no_fee', 'interest_plus', 'interest_minus', 'first_payment', 'free_account_income', 'free_account_stuff', 'tan_lock'),
			array('bigintval', '', '', 'translateComma', 'bigintval', 'translateComma', '', '', 'bigintval', 'translateComma', 'translateComma', 'translateComma', 'translateComma', '', 'bigintval'),
			array('', '', '', '', '', '', '', '', '', '', '', '', '', '', '')
		);
		$show = false;
	} elseif (isPostRequestElementSet('do_edit')) {
		// Delete entries (with confirmation)
		adminEditEntriesConfirm(postRequestElement('id'), 'bank_packages', array(), array(), array(), true);
	} elseif (isPostRequestElementSet('delete')) {
		// Delete entries (with confirmation)
		adminDeleteEntriesConfirm(postRequestElement('id'), 'bank_packages', array('id', 'title', 'description', 'account_fee'), array('bigintval', '', '', 'translateComma'), array('', '', '', ''));
		$show = false;
	} elseif (isPostRequestElementSet('remove')) {
		// Delete entries (with confirmation)
		adminDeleteEntriesConfirm(postRequestElement('id'), 'bank_packages', array(), array(), array(), true);
	}
} // END - if

// Skip showing old entries?
if ($show === false) return;

// Load all banking packages from DB
$result = SQL_QUERY("SELECT id, title, description, account_fee AS 'fee', package_active AS 'active', interest_plus AS 'plus', interest_minus AS 'minus'
FROM `{?_MYSQL_PREFIX?}_bank_packages`
ORDER BY `id`", __FILE__, __LINE__);

// Is there at lease one package?
if (SQL_NUMROWS($result) > 0) {
	// List all packages
	$OUT = ''; $SW = 2;
	while ($content = SQL_FETCHARRAY($result)) {
		// "Translate" some data
		$content['active'] = translateYesNo($content['active']);
		$content['fee']    = translateComma($content['fee']);
		$content['plus']   = translateComma($content['plus']);
		$content['minus']  = translateComma($content['minus']);
		$content['sw']     = $SW;

		// Load row template
		$OUT .= loadTemplate('admin_list_bank_package_row', true, $content);
		$SW = 3 - $SW;
	} // END - while

	// Load main template
	loadTemplate('admin_list_bank_package', false, $OUT);
} else {
	// No packages found!
	loadTemplate('admin_settings_saved', false, getMessage('ADMIN_BANK_NO_PACKAGES_FOUND'));
}

// Free the result
SQL_FREERESULT($result);

//
?>
